/// <reference types="node" />
export type ReqInfo = {
    remoteAddress: string;
    url: string;
    time: number;
    method: string;
    headers: Record<string, undefined | number | string | string[]>;
    type?: string;
    rawBody?: Buffer;
    textBody?: string;
};
export type ResInfo = {
    cost: number;
    status: number;
    headers: Record<string, undefined | number | string | string[]>;
    type?: string;
    rawBody?: Buffer;
    textBody?: string;
};
export type HttpEvent = {
    type: string;
    req: ReqInfo;
    res: ResInfo;
};
export type HttpListener = (event: HttpEvent) => void;
export declare function inspect(listener: HttpListener | null): void;
export declare function emit(event: HttpEvent): void;
